/*
 * xmessage - an X message display program.
 *
 * $Header: /home/jsellens/src/misc/xmsg-1.1/RCS/globals.h,v 1.2 2006/12/17 04:19:28 jsellens Exp jsellens $
 * $Athena: globals.h,v 1.1 88/10/20 14:44:44 kit Locked $
 *
 * Copyright 1988 Massachusetts Institute of Technology
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of M.I.T. not be used in advertising or
 * publicity pertaining to distribution of the software without specific,
 * written prior permission.  M.I.T. makes no representations about the
 * suitability of this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 *
 * Author:    Chris D. Peterson, MIT Project Athena
 * Created:   October 15, 1988
 */

#ifndef _xm_globals_h_
#define _xm_globals_h_

#include "xmessage.h"
#include <X11/Intrinsic.h>

extern int nmessage;		/* Number of items in the message list. */
extern char ** message;		/* The message to show. */

extern ButtonEntry * button_list; /* List of buttons to add. */

extern Boolean use_stdin;	/* Read message from stdin? */

#ifdef R5_XLIB
typedef struct {
	Boolean pl;
	Boolean sc;
} AppData;

extern AppData app_data;

#define print_label	app_data.pl
#define scroll		app_data.sc

#else
extern Boolean print_label;	/* If true then print label of button pressed
				   on exit. */

Boolean scroll;			/* Whether or not to use a scrollbar. */
#endif

extern char * program_name;	/* Name of this program (argv[0]). */

#endif /* _xm_globals_h_ */	/* Don't add anything after this line. */
